Index: branches/HTM-15.1-dev0-Nokia/cfg/SEI/depthRepInfoElementSei.cfg
===================================================================
--- branches/HTM-15.1-dev0-Nokia/cfg/SEI/depthRepInfoElementSei.cfg	(revision 1339)
+++ 	(revision )
@@ -1,21 +1,0 @@
-
-PayloadType                     : TBD
-
-#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
-ApplicableLayerIds              : TBD                            # LayerIds      of layers   to which the SEI is added. (all when empty)
-ApplicablePocs                  : TBD                            # POCs          of pictures to which the SEI is added. (all when empty)
-ApplicableTids                  : TBD                            # Tids          of pictures to which the SEI is added. (all when empty)
-ApplicableVclNaluTypes          : TBD                            # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
-
-#======== Position in bit stream  ============
-SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
-PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
-
-#======== Payload modification =============
-ModifyByEncoder                 : TBD                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
-
-#======== Payload specification =============
-DaSignFlag                      : 0
-DaExponent                      : 0
-DaMantissaLenMinus1             : 0
-DaMantissa                      : 0
Index: branches/HTM-15.1-dev0-Nokia/cfg/SEI/depthRepresentationInfoSei.cfg
===================================================================
--- branches/HTM-15.1-dev0-Nokia/cfg/SEI/depthRepresentationInfoSei.cfg	(revision 1339)
+++ branches/HTM-15.1-dev0-Nokia/cfg/SEI/depthRepresentationInfoSei.cfg	(revision 1340)
@@ -1,24 +1,39 @@
+PayloadType                     : 177
 
-PayloadType                     : TBD
 
 #======== Applicability  ==========    ( SEI is only send for pictures in intersection )
-ApplicableLayerIds              : TBD                            # LayerIds      of layers   to which the SEI is added. (all when empty)
-ApplicablePocs                  : TBD                            # POCs          of pictures to which the SEI is added. (all when empty)
-ApplicableTids                  : TBD                            # Tids          of pictures to which the SEI is added. (all when empty)
-ApplicableVclNaluTypes          : TBD                            # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
-
+ApplicableLayerIds              :  1 3                           # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                            # POCs          of pictures to which the SEI is added. (all when empty)
+#ApplicableTids                  : 0                            # Tids          of pictures to which the SEI is added. (all when empty)
+#ApplicableVclNaluTypes          : 0                            # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
 #======== Position in bit stream  ============
 SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
 PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+#======== Payload modification =============
+ModifyByEncoder                 : 1                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+#======== Payload specification =============
 
-#======== Payload modification =============
-ModifyByEncoder                 : TBD                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+#DepthRepresentationInfoSeiPresentFlag_x equal to 1 indicates that the DepthRepresentationInfoSei parameters for layer_x are given below 
+#Each parameter should be named link parametername_xxx , where xxx represents the layerId
+DepthRepresentationInfoSeiPresentFlag_1 : 1
 
-#======== Payload specification =============
-ZNearFlag                       : 0
-ZFarFlag                        : 0
-DMinFlag                        : 0
-DMaxFlag                        : 0
-DepthRepresentationType         : 0
-DisparityRefViewId              : 0
-DepthNonlinearRepresentationNumMinus1: 0
+ZNear_1 : 2289.2
+ZFar_1 : 213500
+DepthRepresentationType_1         : 2
+
+
+DepthRepresentationInfoSeiPresentFlag_3 : 1
+
+ZNear_3 : 448.251214
+ZFar_3 : 11206.280350
+DMin_3 : 1.891
+DMax_3 : 16.28
+
+DepthRepresentationType_3         : 3
+DisparityRefViewId_3 :  0
+
+DepthNonlinearRepresentationNumMinus1_3 : 4
+DepthNonlinearRepresentationModel_3 : 1  3 4 12 5
+
+
+