Index: /branches/HTM-15.1-dev0-Disney/cfg/3D-HEVC/fullCfg.cfg
===================================================================
--- /branches/HTM-15.1-dev0-Disney/cfg/3D-HEVC/fullCfg.cfg	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/cfg/3D-HEVC/fullCfg.cfg	(revision 1344)
@@ -350,4 +350,21 @@
 
 WarnUnknowParameter       : 1
+#========== Supplemental enhancement information ==========
+SeiCfgFileName_0                    :                  
+SeiCfgFileName_1                    :                 
+SeiCfgFileName_2                    :                 
+SeiCfgFileName_3                    :                 
+SeiCfgFileName_4                    :                 
+SeiCfgFileName_5                    :                 
+SeiCfgFileName_6                    :                 
+SeiCfgFileName_7                    :                 
+SeiCfgFileName_8                    :                 
+SeiCfgFileName_9                    :                 
+SeiCfgFileName_10                   :                 
+SeiCfgFileName_11                   :                 
+SeiCfgFileName_12                   :                 
+SeiCfgFileName_13                   :                 
+SeiCfgFileName_14                   :                 
+
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: /branches/HTM-15.1-dev0-Disney/cfg/MV-HEVC/fullCfg.cfg
===================================================================
--- /branches/HTM-15.1-dev0-Disney/cfg/MV-HEVC/fullCfg.cfg	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/cfg/MV-HEVC/fullCfg.cfg	(revision 1344)
@@ -319,5 +319,9 @@
 SeiCfgFileName_8                    :                 
 SeiCfgFileName_9                    :                 
-SeiCfgFileName_10                   :
+SeiCfgFileName_10                   :                 
+SeiCfgFileName_11                   :                 
+SeiCfgFileName_12                   :                 
+SeiCfgFileName_13                   :                 
+SeiCfgFileName_14                   :                 
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: anches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei.cfg
===================================================================
--- /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei.cfg	(revision 1343)
+++ 	(revision )
@@ -1,67 +1,0 @@
-
-PayloadType                     : 181
-
-#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
-ApplicableLayerIds              :                             # LayerIds      of layers   to which the SEI is added. (all when empty)
-ApplicablePocs                  :                             # POCs          of pictures to which the SEI is added. (all when empty)
-ApplicableTids                  :                             # Tids          of pictures to which the SEI is added. (all when empty)
-ApplicableVclNaluTypes          :                             # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
-
-#======== Position in bit stream  ============
-SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added
-PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
-
-#======== Payload modification =============
-ModifyByEncoder                 : 0                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
-
-#======== Payload specification =============
-AlternativeDepthInfoCancelFlag  : 0
-DepthType                       : 1
-NumConstituentViewsGvdMinus1    : 0
-DepthPresentGvdFlag             : 0
-ZGvdFlag                        : 0
-IntrinsicParamGvdFlag           : 0
-RotationGvdFlag                 : 0
-TranslationGvdFlag              : 0
-SignGvdZNearFlag                : 0
-ExpGvdZNear                     : 0
-ManLenGvdZNearMinus1            : 0
-ManGvdZNear                     : 0
-SignGvdZFarFlag                 : 0
-ExpGvdZFar                      : 0
-ManLenGvdZFarMinus1             : 0
-ManGvdZFar                      : 0
-PrecGvdFocalLength              : 0
-PrecGvdPrincipalPoint           : 0
-PrecGvdRotationParam            : 0
-PrecGvdTranslationParam         : 0
-SignGvdFocalLengthX             : 0
-ExpGvdFocalLengthX              : 0
-ManGvdFocalLengthX              : 0
-SignGvdFocalLengthY             : 0
-ExpGvdFocalLengthY              : 0
-ManGvdFocalLengthY              : 0
-SignGvdPrincipalPointX          : 0
-ExpGvdPrincipalPointX           : 0
-ManGvdPrincipalPointX           : 0
-SignGvdPrincipalPointY          : 0
-ExpGvdPrincipalPointY           : 0
-ManGvdPrincipalPointY           : 0
-SignGvdR_0_0                    : 0
-ExpGvdR_0_0                     : 0
-ManGvdR_0_0                     : 0
-SignGvdTX                       : 0
-ExpGvdTX                        : 0
-ManGvdTX                        : 0
-MinOffsetXInt                   : -10
-MinOffsetXFrac                  : 50
-MaxOffsetXInt                   : 70
-MaxOffsetXFrac                  : 30
-OffsetYPresentFlag              : 1
-MinOffsetYInt                   : -20
-MinOffsetYFrac                  : 70
-MaxOffsetYInt                   : 30
-MaxOffsetYFrac                  : 154
-WarpMapSizePresentFlag          : 1
-WarpMapWidthMinus2              : 700
-WarpMapHeightMinus2             : 300
Index: /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei_gvd.cfg
===================================================================
--- /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei_gvd.cfg	(revision 1344)
+++ /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei_gvd.cfg	(revision 1344)
@@ -0,0 +1,55 @@
+
+PayloadType                     : 181
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              :                             # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  :                             # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  :                             # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          :                             # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+AlternativeDepthInfoCancelFlag  : 0
+DepthType                       : 0
+NumConstituentViewsGvdMinus1    : 0
+DepthPresentGvdFlag             : 0
+ZGvdFlag                        : 0
+IntrinsicParamGvdFlag           : 0
+RotationGvdFlag                 : 0
+TranslationGvdFlag              : 0
+SignGvdZNearFlag                : 0
+ExpGvdZNear                     : 0
+ManLenGvdZNearMinus1            : 0
+ManGvdZNear                     : 0
+SignGvdZFarFlag                 : 0
+ExpGvdZFar                      : 0
+ManLenGvdZFarMinus1             : 0
+ManGvdZFar                      : 0
+PrecGvdFocalLength              : 0
+PrecGvdPrincipalPoint           : 0
+PrecGvdRotationParam            : 0
+PrecGvdTranslationParam         : 0
+SignGvdFocalLengthX             : 0
+ExpGvdFocalLengthX              : 0
+ManGvdFocalLengthX              : 0
+SignGvdFocalLengthY             : 0
+ExpGvdFocalLengthY              : 0
+ManGvdFocalLengthY              : 0
+SignGvdPrincipalPointX          : 0
+ExpGvdPrincipalPointX           : 0
+ManGvdPrincipalPointX           : 0
+SignGvdPrincipalPointY          : 0
+ExpGvdPrincipalPointY           : 0
+ManGvdPrincipalPointY           : 0
+SignGvdR_0_0                    : 0
+ExpGvdR_0_0                     : 0
+ManGvdR_0_0                     : 0
+SignGvdTX                       : 0
+ExpGvdTX                        : 0
+ManGvdTX                        : 0
Index: /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei_warpmap.cfg
===================================================================
--- /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei_warpmap.cfg	(revision 1344)
+++ /branches/HTM-15.1-dev0-Disney/cfg/SEI/alternativeDepthInfoSei_warpmap.cfg	(revision 1344)
@@ -0,0 +1,31 @@
+
+PayloadType                     : 181
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              :                             # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  :                             # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  :                             # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          :                             # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+AlternativeDepthInfoCancelFlag  : 0
+DepthType                       : 1
+MinOffsetXInt                   : -10
+MinOffsetXFrac                  : 50
+MaxOffsetXInt                   : 70
+MaxOffsetXFrac                  : 30
+OffsetYPresentFlag              : 1
+MinOffsetYInt                   : -20
+MinOffsetYFrac                  : 70
+MaxOffsetYInt                   : 30
+MaxOffsetYFrac                  : 154
+WarpMapSizePresentFlag          : 1
+WarpMapWidthMinus2              : 700
+WarpMapHeightMinus2             : 300
Index: /branches/HTM-15.1-dev0-Disney/cfg/SEI/overlayInfoSei.cfg
===================================================================
--- /branches/HTM-15.1-dev0-Disney/cfg/SEI/overlayInfoSei.cfg	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/cfg/SEI/overlayInfoSei.cfg	(revision 1344)
@@ -20,15 +20,26 @@
 OverlayAlphaAuxIdMinus128       : 3
 OverlayElementLabelValueLengthMinus8: 0
-NumOverlaysMinus1               : 0
-OverlayIdx                      : 5
-LanguageOverlayPresentFlag      : 1
-OverlayContentLayerId           : 10
-OverlayLabelPresentFlag         : 1
-OverlayLabelLayerId             : 20
-OverlayAlphaPresentFlag         : 0
-OverlayAlphaLayerId             : 30
-NumOverlayElementsMinus1        : 3
+NumOverlaysMinus1               : 1
+OverlayIdx                      : 2 5
+LanguageOverlayPresentFlag      : 0 1
+OverlayContentLayerId           : 0 2
+OverlayLabelPresentFlag         : 1 1
+OverlayLabelLayerId             : 1 3
+OverlayAlphaPresentFlag         : 0 0
+OverlayAlphaLayerId             : 
+NumOverlayElementsMinus1        : 3 0
 OverlayElementLabelMin_0        : 40 100 170 230
 OverlayElementLabelMax_0        : 80 140 210 255
+OverlayElementLabelMin_1        : 40
+OverlayElementLabelMax_1        : 80
+OverlayLanguage_0               : Language overlayer 0
+OverlayLanguage_1               : Language overlayer 1
+OverlayName_0                   : Overlay 0
+OverlayName_1                   : Overlay 1
+OverlayElementName_0_0          : Overlay 0 Element 0
+OverlayElementName_0_1          : Overlay 0 Element 1
+OverlayElementName_0_2          : Overlay 0 Element 2
+OverlayElementName_0_3          : Overlay 0 Element 3
+OverlayElementName_0_4          : Overlay 0 Element 4
+OverlayElementName_1_0          : Overlay 1 Element 0
 OverlayInfoPersistenceFlag      : 1
-
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TAppCommon/program_options_lite.h
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TAppCommon/program_options_lite.h	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TAppCommon/program_options_lite.h	(revision 1344)
@@ -488,4 +488,21 @@
     template<>
     inline void
+      Option< StringAry1d  >::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter& err )
+    {
+
+      opt_storage[ idcs[ 0 ] ] = arg;
+    };
+
+    template<>
+    inline void
+      Option< StringAry2d  >::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter& err )
+    {
+
+      opt_storage[idcs[0]][idcs[1]] = arg;
+    };
+
+
+    template<>
+    inline void
       Option< std::vector< char*>  >::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter& err )
     {
@@ -643,4 +660,5 @@
         return *this;
       }
+
       template<typename T>
       OptionSpecific&
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/SEI.cpp	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/SEI.cpp	(revision 1344)
@@ -371,5 +371,5 @@
   po::ErrorReporter err;
   po::parseConfigFile( opts, cfgFile, err );
-  m_lnpSeiMaxLayers = m_layerNotPresentFlag.size();
+  m_lnpSeiMaxLayers = (UInt) m_layerNotPresentFlag.size();
 };
 
@@ -382,4 +382,5 @@
 //  // TBD: Add constraints on presence of SEI here. 
     xCheckCfg     ( wrongConfig, m_lnpSeiActiveVpsId == vps->getVPSId(), "The value of lnp_sei_active_vps_id shall be equal to the value of vps_video_parameter_set_id of the active VPS for the VCL NAL units of the access unit containing the SEI message." );
+    xCheckCfg     ( wrongConfig, m_lnpSeiMaxLayers == vps->getMaxLayersMinus1(), "The number of LayerNotPresent flags shall be equal to vpsMaxLayersMinus1." );
 
 
@@ -753,7 +754,7 @@
   {
     sprintf(cstr, "LanguageTag%02d", i);
-    m_overlayLanguage[i] = std::string(cstr);
+    //m_overlayLanguage[i] = std::string(cstr);
     sprintf(cstr, "Overlay%02dName", i);
-    m_overlayName[i] = std::string(cstr);
+    //m_overlayName[i] = std::string(cstr);
 
     m_overlayElementName[i].resize(m_numOverlayElementsMax);
@@ -803,4 +804,7 @@
     ("OverlayElementLabelMin_%d"      , m_overlayElementLabelMin           , IntAry1d (256,0) ,16            , "OverlayElementLabelMin"           )
     ("OverlayElementLabelMax_%d"      , m_overlayElementLabelMax           , IntAry1d (256,0) ,16            , "OverlayElementLabelMax"           )        
+    ("OverlayLanguage_%d"             , m_overlayLanguage                  , std::string(""), 16             , "OverlayLanguage"                  )
+    ("OverlayName_%d"                 , m_overlayName                      , std::string(""), 16             , "OverlayName"                      )
+    ("OverlayElementName_%d_%d"       , m_overlayElementName               , std::string(""), 256 ,16        , "OverlayElementName"               )
     ("OverlayInfoPersistenceFlag"     , m_overlayInfoPersistenceFlag       , false                           , "OverlayInfoPersistenceFlag"       )
     ; 
@@ -813,5 +817,5 @@
 
   // Initialize some values for syntax elements with declaration type st(v) (i.e. string type syntax elements)
-  initStringElements();
+  // initStringElements();
 };
 
@@ -1469,5 +1473,5 @@
 
 
-
+#if NH_3D
 Void SEIAlternativeDepthInfo::setupFromCfgFile(const Char* cfgFile)
 { 
@@ -1549,6 +1553,4 @@
   po::parseConfigFile( opts, cfgFile, err );
 };
-
-
 Bool SEIAlternativeDepthInfo::checkCfg( const TComSlice* slice )
 { 
@@ -1611,5 +1613,5 @@
 
 };
-
-
 #endif
+
+#endif
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/SEI.h
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/SEI.h	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/SEI.h	(revision 1344)
@@ -835,7 +835,7 @@
   IntAry2d  m_overlayElementLabelMin;
   IntAry2d  m_overlayElementLabelMax;  
-  std::vector< std::string >  m_overlayLanguage;
-  std::vector< std::string >  m_overlayName;
-  std::vector< std::vector< std::string > >  m_overlayElementName;
+  StringAry1d  m_overlayLanguage;
+  StringAry1d  m_overlayName;
+  StringAry2d  m_overlayElementName;
   Bool      m_overlayInfoPersistenceFlag;
 };
@@ -981,5 +981,5 @@
 
         }
-        int m_currLayerID;
+        Int m_currLayerID;
         BoolAry1d      m_zNearFlag;
         BoolAry1d      m_zFarFlag;
@@ -992,5 +992,5 @@
         IntAry2d       m_disparityRefViewId;
         IntAry2d       m_depthNonlinearRepresentationNumMinus1;
-        IntAry2d m_depth_nonlinear_representation_model;
+        IntAry2d       m_depth_nonlinear_representation_model;
 };
 #endif
@@ -1140,5 +1140,5 @@
 };
 
-
+#if NH_3D
 class SEIAlternativeDepthInfo : public SEI
 {
@@ -1207,5 +1207,5 @@
 };
 
-
+#endif
 #endif
 
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TComRom.cpp	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TComRom.cpp	(revision 1344)
@@ -537,5 +537,5 @@
 const Bool g_bEncDecTraceEnable  = true;
 const Bool g_bEncDecTraceDisable = false;
-Bool   g_HLSTraceEnable = false;
+Bool   g_HLSTraceEnable = true;
 Bool   g_bJustDoIt = false;
 UInt64 g_nSymbolCounter = 0;
@@ -544,5 +544,5 @@
 Bool g_tracePU = false; 
 Bool g_traceTU = false; 
-Bool g_disableNumbering = false; 
+Bool g_disableNumbering = true; 
 Bool g_disableHLSTrace = false; 
 UInt64 g_stopAtCounter       = 4660; 
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TComRom.h
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TComRom.h	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TComRom.h	(revision 1344)
@@ -153,5 +153,5 @@
 // Change later
 #ifndef ENC_DEC_TRACE
-#define ENC_DEC_TRACE 0
+#define ENC_DEC_TRACE 1
 #endif
 #endif
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TypeDef.h	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibCommon/TypeDef.h	(revision 1344)
@@ -492,4 +492,6 @@
 #endif
 #if NH_MV                         
+typedef std::vector< std::string > StringAry1d; 
+typedef std::vector< StringAry1d > StringAry2d; 
 typedef std::vector< Int >        IntAry1d;
 typedef std::vector< IntAry1d >   IntAry2d; 
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibDecoder/SEIread.cpp
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibDecoder/SEIread.cpp	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibDecoder/SEIread.cpp	(revision 1344)
@@ -387,8 +387,10 @@
       xParseSEIMultiviewViewPosition((SEIMultiviewViewPosition&) *sei, payloadSize, pDecodedMessageOutputStream );
       break;
+#if NH_3D
     case SEI::ALTERNATIVE_DEPTH_INFO:
       sei = new SEIAlternativeDepthInfo;
       xParseSEIAlternativeDepthInfo((SEIAlternativeDepthInfo&) *sei, payloadSize, pDecodedMessageOutputStream );
       break;
+#endif
 #endif
     default:
@@ -1423,6 +1425,6 @@
     UChar* sval = new UChar[sei.m_numStringBytesMax];
     UInt slen;    
-    sei.m_overlayLanguage.resize( sei.m_numOverlaysMinus1 + 1 );    
-    sei.m_overlayName.resize( sei.m_numOverlaysMinus1 + 1 );    
+    sei.m_overlayLanguage   .resize( sei.m_numOverlaysMinus1 + 1 );    
+    sei.m_overlayName       .resize( sei.m_numOverlaysMinus1 + 1 );    
     sei.m_overlayElementName.resize( sei.m_numOverlaysMinus1 + 1 );    
     for( Int i = 0; i  <=  sei.m_numOverlaysMinus1; i++ )
@@ -1690,5 +1692,5 @@
 };
 
-
+#if NH_3D
 Void SEIReader::xParseSEIAlternativeDepthInfo(SEIAlternativeDepthInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream)
 {
@@ -1799,5 +1801,5 @@
   }
 };
-
+#endif
 
 //! \}
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibDecoder/SEIread.h
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibDecoder/SEIread.h	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibDecoder/SEIread.h	(revision 1344)
@@ -129,5 +129,7 @@
   Void xParseSEIMultiviewViewPosition         (SEIMultiviewViewPosition& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
 #endif
+#if NH_3D
   Void xParseSEIAlternativeDepthInfo          (SEIAlternativeDepthInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
+#endif
 
   Void sei_read_code(std::ostream *pOS, UInt uiLength, UInt& ruiCode, const Char *pSymbolName);
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibEncoder/SEIwrite.cpp
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 1344)
@@ -180,7 +180,9 @@
      xWriteSEIMultiviewViewPosition(*static_cast<const SEIMultiviewViewPosition*>(&sei));
      break; 
+#if NH_3D
    case SEI::ALTERNATIVE_DEPTH_INFO:
      xWriteSEIAlternativeDepthInfo(*static_cast<const SEIAlternativeDepthInfo*>(&sei));
      break; 
+#endif
 #endif
 
@@ -1201,5 +1203,6 @@
                 if (f<thr)
                     break;
-            }else
+            }
+            else
             {
                 s_mantissa[i]=0;
@@ -1220,5 +1223,6 @@
         }
 
-    }else
+    }
+    else
     {
         x_mantissa=0;
@@ -1307,5 +1311,5 @@
 #endif
 
-
+#if NH_3D
 Void SEIWriter::xWriteSEIAlternativeDepthInfo( const SEIAlternativeDepthInfo& sei)
 {
@@ -1413,5 +1417,5 @@
   }
 };
-
+#endif
 
 
Index: /branches/HTM-15.1-dev0-Disney/source/Lib/TLibEncoder/SEIwrite.h
===================================================================
--- /branches/HTM-15.1-dev0-Disney/source/Lib/TLibEncoder/SEIwrite.h	(revision 1343)
+++ /branches/HTM-15.1-dev0-Disney/source/Lib/TLibEncoder/SEIwrite.h	(revision 1344)
@@ -107,5 +107,7 @@
   Void xWriteSEIMultiviewAcquisitionInfo      ( const SEIMultiviewAcquisitionInfo& sei);
   Void xWriteSEIMultiviewViewPosition         ( const SEIMultiviewViewPosition& sei);
+#if NH_3D
   Void xWriteSEIAlternativeDepthInfo          ( const SEIAlternativeDepthInfo& sei);
+#endif
   Void xWriteByteAlign();
 };