Index: /branches/HTM-15.1-dev0-NICT/cfg/SEI/alternativeDepthInfoSei_gvd.cfg
===================================================================
--- /branches/HTM-15.1-dev0-NICT/cfg/SEI/alternativeDepthInfoSei_gvd.cfg	(revision 1349)
+++ /branches/HTM-15.1-dev0-NICT/cfg/SEI/alternativeDepthInfoSei_gvd.cfg	(revision 1350)
@@ -3,22 +3,22 @@
 
 #======== Applicability  ==========    ( SEI is only send for pictures in intersection )
-ApplicableLayerIds              :                       # LayerIds      of layers   to which the SEI is added. (all when empty)
-ApplicablePocs                  :                       # POCs          of pictures to which the SEI is added. (all when empty)
-ApplicableTids                  :                       # Tids          of pictures to which the SEI is added. (all when empty)
-ApplicableVclNaluTypes          :                       # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+ApplicableLayerIds              : 0                     # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                     # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : 0                     # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 19                    # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
 
 #======== Position in bit stream  ============
-SeiNaluId                       : 0                     # Identifies to which NAL unit  the SEI is added
-PositionInSeiNalu               : 0                     # Identifies the position within the NAL unit
+SeiNaluId                       : 0                               # Identifies to which NAL unit  the SEI is added
+PositionInSeiNalu               : 0                               # Identifies the position within the NAL unit
 
 #======== Payload modification =============
-ModifyByEncoder                 : 0                     # 0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+ModifyByEncoder                 : 0                               # 0: Use payload as specified in cfg file   1: Modify SEI by encoder.
 
-#======== Payload specification =============           # FP Value by ATM 13.3 SEI dump
-                                                        # Poznan Street
+#======== Payload specification =============                     # FP Value by ATM 13.3 SEI dump
+                                                                  # Poznan Street
 #======== Part 0 ============================
 AlternativeDepthInfoCancelFlag  : 0
-DepthType                       : 0                     # 0: NICT-GVD, 1: Nagoya-Warpmap
-NumConstituentViewsGvdMinus1    : 1                     # 1: 3View
+DepthType                       : 0                               # 0: NICT-GVD, 1: Nagoya-Warpmap
+NumConstituentViewsGvdMinus1    : 1                               # 1: 3View
 DepthPresentGvdFlag             : 0
 ZGvdFlag                        : 1
@@ -27,164 +27,40 @@
 TranslationGvdFlag              : 1
 #======== Part 1 ============================
-#======== 0      ============================
-SignGvdZNearFlag_0              : 1                     # -34.506386
-ExpGvdZNear_0                   : 36
-ManLenGvdZNearMinus1_0          : 24
-ManGvdZNear_0                   : 2628136
-SignGvdZFarFlag_0               : 1                     # -2760.510889
-ExpGvdZFar_0                    : 42
-ManLenGvdZFarMinus1_0           : 24
-ManGvdZFar_0                    : 11673778
-#======== 1      ============================
-SignGvdZNearFlag_1              : 1                     # -34.506386
-ExpGvdZNear_1                   : 36
-ManLenGvdZNearMinus1_1          : 24
-ManGvdZNear_1                   : 2628136
-SignGvdZFarFlag_1               : 1                     # -2760.510889
-ExpGvdZFar_1                    : 42
-ManLenGvdZFarMinus1_1           : 24
-ManGvdZFar_1                    : 11673778
-#======== 2      ============================
-SignGvdZNearFlag_2              : 1                     # -34.506386
-ExpGvdZNear_2                   : 36
-ManLenGvdZNearMinus1_2          : 24
-ManGvdZNear_2                   : 2628136
-SignGvdZFarFlag_2               : 1                     # -2760.510889
-ExpGvdZFar_2                    : 42
-ManLenGvdZFarMinus1_2           : 24
-ManGvdZFar_2                    : 11673778
+SignGvdZNearFlag_0              : 1         1         1           # -34.506386 # -34.506386 # -34.506386
+ExpGvdZNear_0                   : 36        36        36
+ManLenGvdZNearMinus1_0          : 24        24        24
+ManGvdZNear_0                   : 2628136   2628136   2628136
+SignGvdZFarFlag_0               : 1         1         1           # -2760.510889 # -2760.510889 # -2760.510889
+ExpGvdZFar_0                    : 42        42        42
+ManLenGvdZFarMinus1_0           : 24        24        24
+ManGvdZFar_0                    : 11673778  11673778  11673778
 #======== Part 2 ============================
-PrecGvdFocalLength              : 18                    # ATM code embeded value.
+PrecGvdFocalLength              : 18                              # ATM code embeded value.
 PrecGvdPrincipalPoint           : 18
 PrecGvdRotationParam            : 18
 PrecGvdTranslationParam         : 18
 #======== Part 3 ============================
-#======== 0      ============================
-SignGvdFocalLengthX_0           : 0                     # 1732.875727
-ExpGvdFocalLengthX_0            : 41
-ManGvdFocalLengthX_0            : 185827518
-SignGvdFocalLengthY_0           : 0                     # 1729.908923
-ExpGvdFocalLengthY_0            : 41
-ManGvdFocalLengthY_0            : 185049788
-SignGvdPrincipalPointX_0        : 0                     # 943.231169
-ExpGvdPrincipalPointX_0         : 40
-ManGvdPrincipalPointX_0         : 113044663
-SignGvdPrincipalPointY_0        : 0                     # 548.845040
-ExpGvdPrincipalPointY_0         : 40
-ManGvdPrincipalPointY_0         : 9658706
-SignGvdR_0_0_0                  : 0                     # 1.000000
-ExpGvdR_0_0_0                   : 31
-ManGvdR_0_0_0                   : 0
-SignGvdR_0_0_1                  : 0                     # 0.000000
-ExpGvdR_0_0_1                   : 0
-ManGvdR_0_0_1                   : 0
-SignGvdR_0_0_2                  : 0                     # 0.000000
-ExpGvdR_0_0_2                   : 0
-ManGvdR_0_0_2                   : 0
-SignGvdR_0_1_0                  : 0                     # 0.000000
-ExpGvdR_0_1_0                   : 0
-ManGvdR_0_1_0                   : 0
-SignGvdR_0_1_1                  : 0                     # 1.000000
-ExpGvdR_0_1_1                   : 31
-ManGvdR_0_1_1                   : 0
-SignGvdR_0_1_2                  : 0                     # 0.000000
-ExpGvdR_0_1_2                   : 0
-ManGvdR_0_1_2                   : 0
-SignGvdR_0_2_0                  : 0                     # 0.000000
-ExpGvdR_0_2_0                   : 0
-ManGvdR_0_2_0                   : 0
-SignGvdR_0_2_1                  : 0                     # 0.000000
-ExpGvdR_0_2_1                   : 0
-ManGvdR_0_2_1                   : 0
-SignGvdR_0_2_2                  : 0                     # 1.000000
-ExpGvdR_0_2_2                   : 31
-ManGvdR_0_2_2                   : 0
-SignGvdTX_0                     : 0                     # 6.372093
-ExpGvdTX_0                      : 33
-ManGvdTX_0                      : 621829
-#======== 1      ============================
-SignGvdFocalLengthX_1           : 0                     # 1732.875727
-ExpGvdFocalLengthX_1            : 41
-ManGvdFocalLengthX_1            : 185827518
-SignGvdFocalLengthY_1           : 0                     # 1729.908923
-ExpGvdFocalLengthY_1            : 41
-ManGvdFocalLengthY_1            : 185049788
-SignGvdPrincipalPointX_1        : 0                     # 943.231169
-ExpGvdPrincipalPointX_1         : 40
-ManGvdPrincipalPointX_1         : 113044663
-SignGvdPrincipalPointY_1        : 0                     # 548.845040
-ExpGvdPrincipalPointY_1         : 40
-ManGvdPrincipalPointY_1         : 9658706
-SignGvdR_1_0_0                  : 0                     # 1.000000
-ExpGvdR_1_0_0                   : 31
-ManGvdR_1_0_0                   : 0
-SignGvdR_1_0_1                  : 0                     # 0.000000
-ExpGvdR_1_0_1                   : 0
-ManGvdR_1_0_1                   : 0
-SignGvdR_1_0_2                  : 0                     # 0.000000
-ExpGvdR_1_0_2                   : 0
-ManGvdR_1_0_2                   : 0
-SignGvdR_1_1_0                  : 0                     # 0.000000
-ExpGvdR_1_1_0                   : 0
-ManGvdR_1_1_0                   : 0
-SignGvdR_1_1_1                  : 0                     # 1.000000
-ExpGvdR_1_1_1                   : 31
-ManGvdR_1_1_1                   : 0
-SignGvdR_1_1_2                  : 0                     # 0.000000
-ExpGvdR_1_1_2                   : 0
-ManGvdR_1_1_2                   : 0
-SignGvdR_1_2_0                  : 0                     # 0.000000
-ExpGvdR_1_2_0                   : 0
-ManGvdR_1_2_0                   : 0
-SignGvdR_1_2_1                  : 0                     # 0.000000
-ExpGvdR_1_2_1                   : 0
-ManGvdR_1_2_1                   : 0
-SignGvdR_1_2_2                  : 0                     # 1.000000
-ExpGvdR_1_2_2                   : 31
-ManGvdR_1_2_2                   : 0
-SignGvdTX_1                     : 0                     # 7.965116
-ExpGvdTX_1                      : 33
-ManGvdTX_1                      : 1039431
-#======== 2      ============================
-SignGvdFocalLengthX_2           : 0                     # 1732.875727
-ExpGvdFocalLengthX_2            : 41
-ManGvdFocalLengthX_2            : 185827518
-SignGvdFocalLengthY_2           : 0                     # 1729.908923
-ExpGvdFocalLengthY_2            : 41
-ManGvdFocalLengthY_2            : 185049788
-SignGvdPrincipalPointX_2        : 0                     # 943.231169
-ExpGvdPrincipalPointX_2         : 40
-ManGvdPrincipalPointX_2         : 113044663
-SignGvdPrincipalPointY_2        : 0                     # 548.845040
-ExpGvdPrincipalPointY_2         : 40
-ManGvdPrincipalPointY_2         : 9658706
-SignGvdR_2_0_0                  : 0                     # 1.000000
-ExpGvdR_2_0_0                   : 31
-ManGvdR_2_0_0                   : 0
-SignGvdR_2_0_1                  : 0                     # 0.000000
-ExpGvdR_2_0_1                   : 0
-ManGvdR_2_0_1                   : 0
-SignGvdR_2_0_2                  : 0                     # 0.000000
-ExpGvdR_2_0_2                   : 0
-ManGvdR_2_0_2                   : 0
-SignGvdR_2_1_0                  : 0                     # 0.000000
-ExpGvdR_2_1_0                   : 0
-ManGvdR_2_1_0                   : 0
-SignGvdR_2_1_1                  : 0                     # 1.000000
-ExpGvdR_2_1_1                   : 31
-ManGvdR_2_1_1                   : 0
-SignGvdR_2_1_2                  : 0                     # 0.000000
-ExpGvdR_2_1_2                   : 0
-ManGvdR_2_1_2                   : 0
-SignGvdR_2_2_0                  : 0                     # 0.000000
-ExpGvdR_2_2_0                   : 0
-ManGvdR_2_2_0                   : 0
-SignGvdR_2_2_1                  : 0                     # 0.000000
-ExpGvdR_2_2_1                   : 0
-ManGvdR_2_2_1                   : 0
-SignGvdR_2_2_2                  : 0                     # 1.000000
-ExpGvdR_2_2_2                   : 31
-ManGvdR_2_2_2                   : 0
-SignGvdTX_2                     : 0                     # 4.779070
-ExpGvdTX_2                      : 33
-ManGvdTX_2                      : 204228
+SignGvdFocalLengthX_0           : 0         0         0           # 1732.875727 # 1732.875727 # 1732.875727
+ExpGvdFocalLengthX_0            : 41        41        41
+ManGvdFocalLengthX_0            : 185827518 185827518 185827518
+SignGvdFocalLengthY_0           : 0         0         0           # 1729.908923 # 1729.908923 # 1729.908923
+ExpGvdFocalLengthY_0            : 41        41        41
+ManGvdFocalLengthY_0            : 185049788 185049788 185049788
+SignGvdPrincipalPointX_0        : 0         0         0           # 943.231169 # 943.231169 # 943.231169
+ExpGvdPrincipalPointX_0         : 40        40        40
+ManGvdPrincipalPointX_0         : 113044663 113044663 113044663
+SignGvdPrincipalPointY_0        : 0         0         0           # 548.845040 # 548.845040 # 548.845040
+ExpGvdPrincipalPointY_0         : 40        40        40
+ManGvdPrincipalPointY_0         : 9658706   9658706   9658706
+SignGvdR_0_0                    : 0         0         0           # 1.000000 # 0.000000 # 0.000000
+SignGvdR_0_1                    : 0         0         0           # 0.000000 # 1.000000 # 0.000000
+SignGvdR_0_2                    : 0         0         0           # 0.000000 # 0.000000 # 1.000000
+ExpGvdR_0_0                     : 31        0         0
+ExpGvdR_0_1                     : 0         31        0
+ExpGvdR_0_2                     : 0         0         31
+ManGvdR_0_0                     : 0         0         0
+ManGvdR_0_1                     : 0         0         0
+ManGvdR_0_2                     : 0         0         0
+SignGvdTX_0                     : 0         0         0           # 6.372093 # 7.965116 # 4.779070
+ExpGvdTX_0                      : 33        33        33
+ManGvdTX_0                      : 621829    1039431   204228